%% @author Luiz Carlos
%% @doc @todo Add description to inicializa.


-module(inicializa).

-export([listaClientes/3,inicializaClientes/1,listaEntregadores/3,inicializaEntregadores/1,listaLanches/3,inicializaLanches/1]).

-record(pedido, {cliente = clientes, numero = numero,valor = valor, entregador = entregado ,placa = placa , data = data}).

-record(lanche, {nome = "_", valor = "_", var = "_"}).

-record(entregador, {nome = "_", placa = "_", status = livre }).

-record(pessoa, {nome = "_", numero = "_"}).

inicializaClientes(NomeArquivo) ->

%INICIALIZA CLIENTES

{ok,Binario} = file:read_file(NomeArquivo),
ListaDeNomes = string:tokens(erlang:binary_to_list(Binario),",\r\n"),
X = erlang:list_to_tuple(ListaDeNomes),
X.

listaClientes(X,StringCliente,Lista)  when X > 0 ->
NumeroL = erlang:element(X,StringCliente),
NomeL = erlang:element(X-1,StringCliente),
NumeroA = erlang:list_to_integer(NumeroL),
NomeA = erlang:list_to_atom(NomeL),
Record = #pessoa{nome = NomeA, numero = NumeroA},
NovaLista = erlang:append_element(Lista,Record),
listaClientes(X-2,StringCliente,NovaLista);
listaClientes(0,StringCliente,NovaLista) ->
	erlang:tuple_to_list(NovaLista).

%INICIALIZA ENTREGADORES

inicializaEntregadores(NomeArquivo) ->
{ok,Binario} = file:read_file(NomeArquivo),
ListaDeNomes = string:tokens(erlang:binary_to_list(Binario),",\r\n"),
X = erlang:list_to_tuple(ListaDeNomes),
X.

listaEntregadores(X,StringEntregadores,Lista)  when X > 0 ->
NumeroL = erlang:element(X,StringEntregadores),
NomeL = erlang:element(X-1,StringEntregadores),
NumeroA = erlang:list_to_atom(NumeroL),
NomeA = erlang:list_to_atom(NomeL),
Record = #entregador{nome = NomeA, placa = NumeroA},
NovaLista = erlang:append_element(Lista,Record),
listaEntregadores(X-2,StringEntregadores,NovaLista);
listaEntregadores(0,StringEntregadores,NovaLista) ->
	erlang:tuple_to_list(NovaLista).


%INICIALIZA LANCHES

inicializaLanches(NomeArquivo) ->
{ok,Binario} = file:read_file(NomeArquivo),
ListaDeLanches = string:tokens(erlang:binary_to_list(Binario),",\r\n"),
X = erlang:list_to_tuple(ListaDeLanches),
X.

listaLanches(X,StringLanches,Lista)  when X > 0 ->
VarL = erlang:element(X,StringLanches),
ValorL = erlang:element(X-1,StringLanches),
NomeL = erlang:element(X-2,StringLanches),
VarA = erlang:list_to_atom(VarL),
ValorA = erlang:list_to_integer(ValorL),
NomeA = erlang:list_to_atom(NomeL),

Record = #lanche{nome = NomeA,valor = ValorA, var = VarA},
NovaLista = erlang:append_element(Lista,Record),
listaLanches(X-3,StringLanches,NovaLista);
listaLanches(0,StringLanches,NovaLista) ->
	erlang:tuple_to_list(NovaLista).